import { __require as h } from "./index-toFormData.js";
var n, s;
function m() {
  if (s) return n;
  s = 1;
  var p = h();
  function o(e) {
    var r = {
      "!": "%21",
      "'": "%27",
      "(": "%28",
      ")": "%29",
      "~": "%7E",
      "%20": "+",
      "%00": "\0"
    };
    return encodeURIComponent(e).replace(/[!'\(\)~]|%20|%00/g, function(t) {
      return r[t];
    });
  }
  function i(e, r) {
    this._pairs = [], e && p(e, this, r);
  }
  var u = i.prototype;
  return u.append = function(r, a) {
    this._pairs.push([r, a]);
  }, u.toString = function(r) {
    var a = r ? function(t) {
      return r.call(this, t, o);
    } : o;
    return this._pairs.map(function(c) {
      return a(c[0]) + "=" + a(c[1]);
    }, "").join("&");
  }, n = i, n;
}
export {
  m as __require
};
